<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-默认行为/事件</title>
	<style type="text/css">
		li{
			padding: 0;
			margin:0;
		}
		ul{
			list-style:none;
		}
		#div1{
			display: none;
			position: absolute;
			left:0;
			width:200px;
			height:200px;
			border:1px solid #000;
		}
	</style>
	<script type="text/javascript">	
		function getPos(oEvent){
			var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
			var scrollLeft=document.documentElement.scrollLeft||document.body.scrollLeft;
			return {x:oEvent.clientX+scrollLeft,y:oEvent.clientY+scrollTop}
		};	
		document.oncontextmenu=function(ev){
			var oEvent=ev||event;
			oDiv=document.getElementById('div1');
			pos=getPos(oEvent);
			oDiv.style.display='block';
			oDiv.style.left=pos.x+'px';
			oDiv.style.top=pos.y+'px';
			return false;
		};
	</script>
</head>
<body>
	<div id="box">
		<div id="div1">
			<ul>
				<li>a</li>
				<li>b</li>
				<li>c</li>
				<li>d</li>
			</ul>
		</div>
	</div>
</body>
</html>